@import "color.css";
@import "font.css";

/*-----------------UTILITIES-------------------*/

.wrapper{
    margin: inherit;
    width: 100%;
}

.no-wrap{
    display: flex;
    flex-wrap: nowrap;
}

.flex-center{
    display: flex;
    align-items: center;
}

.no-dots {
    list-style-type: none;
}

/*-------------END-UTILITIES-------------------------*/

/*-----------------Common rules-----------------------*/
a{

    color: inherit!important;
    text-decoration: none!important;
}
a:hover{
    color: unset;
    text-decoration: none !important;
}

.btn:focus{
    box-shadow: none;
}

/*------------------header---------------------------*/
header{
    background-color: var(--yellow-cagibig);
    position: sticky;
    top: 0;

    z-index: 500;
}
.fa-bars {
    font-size: 3rem;

}
.fa-search, .shopping-cart, .fa-question, .notif-bell{
    width: 1.5rem;
    font-size: 1.5rem;
}
.cagibig-logo{
    width: 7rem;
}

.search-form>input{
    border: none;
    width: 10rem;
    background-color: var(--yellow-cagibig);
    outline: none;
}
.header-avatar{
border-radius: 50%;
    height: 2rem;
    width: 2rem;
    font-size: 1.5rem;

}
.header-logo{
    border-radius: 50%;
    height: 2rem;
    width: 2rem;
    font-size: 1.5rem;

}
.PositionLogoOnAvatar{
    position: relative;
    right: 0.6rem;
}
.fa-question{
 font-size: 1.5rem;
}

.fa, .fas {
    color: black;
}

#companydetails{
    position: absolute;
    text-align: center;
    padding-top: 0.6rem;
}
#companydetails div.card{
    border: inherit;
}
#companydetails div.card .card-title{
    margin-top: 0.5rem;
}
.arrow-up{
    width: 0;
    height: 0;
    border-right: 14px solid transparent;
    border-left: 14px solid transparent;
    border-bottom: 16px solid white;
    position : absolute;
    left: 2rem;
    top: 1px;

}
/*-------------------------footer--------------------------*/

footer{
    background-color: var(--black-cagibig) !important;
    padding-top: 1rem;
    color: white;
}


.fa-facebook-f, .fa-twitter, .fa-instagram {
    color:white;
    font-size: 2rem;
}


#footer-logo{
    height: 1.5rem;

}

/*-------------------------main-page---------------------*/

.Cagibig-banner>img{
    /*background: url('../img/cagibig.jpg')  no-repeat  center;*/
    width: 100%;
    height: auto ;
    z-index: 1;

    background: var(--white-cagibig);
}
#logo-main{
    height: 10rem;
}
#slogan{
    display: flex;
    flex-direction: column;
    justify-content: center ;
    align-items: center;
    width: 100%;
    height: available;
    color: var(--yellow-cagibig);
}
.cagibig-background{

    background-image: url("../img/imageHome.jpg");
    background-size: cover;
    background-position-y: center;
    min-height: 70vh;
    display: flex;
}

/*--------------login-----------------*/

.login-popup {
    background: var(--white-cagibig);
    width: 40%;
    margin: 3rem auto 3rem auto ;
    padding-bottom: 1rem;
    border-radius: 20px;

}
.login-hr{
    width: 50%;
}
.logo{
    width: 6rem;
}
.logo-connection{
    width: 1.5rem;
    margin-right: 1rem;
}
.items-center{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.button-login-popup{
    width: 80%;
    background: white;
    border: 1px solid var(--black-cagibig);
    border-radius: 20px;
    padding: 0.5rem 0.5rem 0.5rem 2.5rem;

}

.input-login{
    width: 80%;
    border-radius: 20px;
    padding: 0.5rem 0.5rem 0.5rem 2.5rem;
}

.items-center>button{
    width: 80%;
    padding: 0.5rem 0.5rem 0.5rem 0.5rem;
    border-radius: 20px;
}
.connexion-button{
    background: var(--yellow-cagibig);}

.popup-create{
    border: 3px solid var(--yellow-cagibig);
}
.forget-button{
    color: var(--background-grey);
}




/*----------------------Responsive---------------------------*/
#navbar-small-screen{
    display: none;
}
#footer-small-screen{
    display: none;
}
